Bug 192265 - [new port] devel/p5-AnyEvent-Task - Client/server-based asynchronous worker pool
Summary: [new port] devel/p5-AnyEvent-Task - Client/server-based asynchronous worker pool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-perl (Nobody)
URL:
Keywords:
Depends on: 192263 192264
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-30 04:28 UTC by Bill Brinzer
Modified: 2014-08-17 18:11 UTC (History)
1 user (show)

See Also:


Attachments
p5-AnyEvent-Task.shar (2.89 KB, text/plain)
2014-07-30 04:28 UTC, Bill Brinzer
no flags Details
p5-AnyEvent-Task.shar (3.16 KB, text/plain)
2014-08-01 19:02 UTC, Bill Brinzer
no flags Details
p5-AnyEvent-Task-0.801-10.0-amd64.log (14.26 KB, text/plain)
2014-08-01 19:02 UTC, Bill Brinzer
no flags Details
p5-AnyEvent-Task-0.801.log (14.26 KB, text/plain)
2014-08-04 15:05 UTC, Bill Brinzer
no flags Details
p5-AnyEvent-Task.shar (2.86 KB, text/plain)
2014-08-04 16:34 UTC, Bill Brinzer
no flags Details
p5-AnyEvent-Task-0.801.log (13.57 KB, text/plain)
2014-08-04 16:35 UTC, Bill Brinzer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Brinzer 2014-07-30 04:28:35 UTC
Created attachment 145141 [details]
p5-AnyEvent-Task.shar

This port depends on devel/p5-Log-Defer (bug #192263) and devel/p5-Callback-Frame (bug #192264), which I just submitted.

AnyEvent::Task is a pre-fork-on-demand server (AnyEvent::Task::Server) combined
with a persistent worker-pooled client (AnyEvent::Task::Client).

In a nutshell, a synchronous worker process is forked off by a server whenever
a client asks for one. The client keeps as many of these workers around as it
wants and delegates tasks to them asynchronously.
Comment 1 John Marino freebsd_committer 2014-07-30 08:03:39 UTC
How was this port build tested?
Comment 2 Bill Brinzer 2014-08-01 19:02:06 UTC
Created attachment 145224 [details]
p5-AnyEvent-Task.shar

Replacement .shar file with the following changes suggested by poudriere:

  - Add missing @dirrmtry statements for lib/perl5, etc.
  - Set NO_ARCH= yes.
Comment 3 Bill Brinzer 2014-08-01 19:02:37 UTC
Created attachment 145225 [details]
p5-AnyEvent-Task-0.801-10.0-amd64.log

"poudriere testport" logs for this port on 10.0-RELEASE amd64.

I also have logs for 9.3-RELEASE amd64, and the i386 flavors of these releases, if you want them (but I'm guessing they are not necessary since the port is CPU independent as poudriere pointed out).
Comment 4 John Marino freebsd_committer 2014-08-01 19:10:30 UTC
Was this really "poudriere testport" ?  because I don't see the "====> Running Q/A tests (stage-qa)" line...
Comment 5 Bill Brinzer 2014-08-01 19:23:35 UTC
Hm, not sure why the QA logs are missing. I will re-run with "poudriere bulk -t" and post the results here (per bug #191713 comment #6).
Comment 6 Bill Brinzer 2014-08-04 15:05:04 UTC
Created attachment 145345 [details]
p5-AnyEvent-Task-0.801.log

Attached is a log with stage-qa output, from "poudriere bulk -t".
Comment 7 John Marino freebsd_committer 2014-08-04 15:15:29 UTC
I think you can remove the identified directories from your plist here as well:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
Warning: Possibly owned by dependency: @dirrmtry %%PERL5_MAN3%%
Warning: Possibly owned by dependency: @dirrmtry lib/perl5/%%PERL_VER%%/man
Warning: Possibly owned by dependency: @dirrmtry lib/perl5/%%PERL_VER%%
Warning: Possibly owned by dependency: @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/AnyEvent
Warning: Possibly owned by dependency: @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto
Warning: Possibly owned by dependency: @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%
Warning: Possibly owned by dependency: @dirrmtry %%SITE_PERL%%
Warning: Possibly owned by dependency: @dirrmtry lib/perl5/site_perl
Warning: Possibly owned by dependency: @dirrmtry lib/perl5
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
Comment 8 Bill Brinzer 2014-08-04 15:26:24 UTC
OK, will fix.
Comment 9 Bill Brinzer 2014-08-04 16:34:54 UTC
Created attachment 145363 [details]
p5-AnyEvent-Task.shar

New shar file with corrected pkg-plist.
Comment 10 Bill Brinzer 2014-08-04 16:35:31 UTC
Created attachment 145364 [details]
p5-AnyEvent-Task-0.801.log

stage-qa output for attachment #145363 [details].
Comment 11 John Marino freebsd_committer 2014-08-04 16:52:40 UTC
Looks good, patch-ready!
Comment 12 John Marino freebsd_committer 2014-08-11 08:38:26 UTC
Assigning to perl@ per new policy
Comment 13 commit-hook freebsd_committer 2014-08-17 18:11:09 UTC
A commit references this bug:

Author: pi
Date: Sun Aug 17 18:10:58 UTC 2014
New revision: 365216
URL: http://svnweb.freebsd.org/changeset/ports/365216

Log:
  New port: devel/p5-AnyEvent-Task

  AnyEvent::Task is a pre-fork-on-demand server (AnyEvent::Task::Server)
  combined with a persistent worker-pooled client (AnyEvent::Task::Client).

  In a nutshell, a synchronous worker process is forked off by a
  server whenever a client asks for one. The client keeps as many of
  these workers around as it wants and delegates tasks to them
  asynchronously.

  WWW: http://search.cpan.org/dist/AnyEvent-Task/

  PR:		192265
  Submitted by:	bill.brinzer@gmail.com

Changes:
  head/devel/Makefile
  head/devel/p5-AnyEvent-Task/
  head/devel/p5-AnyEvent-Task/Makefile
  head/devel/p5-AnyEvent-Task/distinfo
  head/devel/p5-AnyEvent-Task/pkg-descr
  head/devel/p5-AnyEvent-Task/pkg-plist
Comment 14 Kurt Jaeger freebsd_committer 2014-08-17 18:11:48 UTC
Committed, thanks!